package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.TGeoFence;

import java.util.List;

/**
 * 地理围栏服务接口
 */
public interface TGeoFenceService extends IService<TGeoFence> {

    /**
     * 分页查询地理围栏。
     *
     * @param page 分页参数
     * @param geoFence 查询参数
     * @return 分页结果
     */
    Page<TGeoFence> pageGeoFence(Page<TGeoFence> page, TGeoFence geoFence);

    /**
     * 查询地图展示用地理围栏。
     *
     * @param geoFence 查询参数
     * @return 地理围栏列表
     */
    List<TGeoFence> listMapGeoFence(TGeoFence geoFence);

    /**
     * 新增地理围栏。
     *
     * @param geoFence 地理围栏
     * @return 是否新增成功
     */
    Boolean addGeoFence(TGeoFence geoFence);

    /**
     * 编辑地理围栏。
     *
     * @param geoFence 地理围栏
     * @return 是否编辑成功
     */
    Boolean updateGeoFence(TGeoFence geoFence);

    /**
     * 删除地理围栏。
     *
     * @param geoFence 地理围栏
     * @return 是否删除成功
     */
    Boolean deleteGeoFence(TGeoFence geoFence);

    List<TGeoFence> selectValidFences(String cityCode);
}
